$def with(account, data, isconnect,refreshstatus, currentview,platform)
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <link type="text/css" media="all" rel="stylesheet" href="/static/style/calendar.css" />
        <link type="text/css" rel="stylesheet" href="/static/style/date_input.css"/>
        <link type="text/css" rel="stylesheet" href="/static/style/zTreeStyle.css" />
        <script type="text/javascript" src="/static/js/jquery.min.calm.js"></script>
        <script type="text/javascript" src="/static/js/jquery.calendar-1.0.js"></script>
        <script type="text/javascript" src="/static/js/jquery.ztree.core-3.3.min.js"></script>
		<script type="text/javascript" src="/static/js/jquery.artDialog.source.js?skin=aero"></script>
		<script type="text/javascript" src="/static/js/plantform.js"></script>
        <script type="text/javascript">

var platform = $:json_encode(platform)
var isconnectFlag = $isconnect;		
var refreshStatus = '$refreshstatus';
var currentTreeView = $:json_encode(currentview);
var account = $:json_encode(account)
var data = $:json_encode(data)
var NeworEidtFlag = "Add"
var selectInput
var count = 1; 
var TransWording =  {"AllDay" : "$trans('CalendarView_Web_IsAllDay')",
					 "NotAllDay" : "$trans('CalendarView_Web_NotAllDay')",
					 "Account" : "$trans('CalendarView_Web_Account')",
					 "Subject" : "$trans('CalendarView_Web_Subject')",
					 "StartTime" : "$trans('CalendarView_Web_StartTime')", 
					 "EndTime" : "$trans('CalendarView_Web_EndTime')", 
					 "Location" : "$trans('CalendarView_Web_Location')",
					 "Description" : "$trans('CalendarView_Web_Description')",
					 "DiagTitle" : "$trans('CalendarView_Web_DELDLG_Title')",
					 "DiagContent" : "$trans('CalendarView_Web_DELDLG_Content')",
					 "DiagOK" : "$trans('PB_BUTTON_OK')",
					 "DiagCancel" : "$trans('PBMainView_WEB_CANCEL')"
				    }
var inSelect ='<li> <select  class="input" name="alarm"><option value="1">$trans("CalendarView_Web_New_Remind1min")</option><option value="5">$trans("CalendarView_Web_New_Remind5min")</option><option value="10" selected="selected">$trans("CalendarView_Web_New_Remind10min")</option><option value="15">$trans("CalendarView_Web_New_Remind15min")</option> <option value="20">$trans("CalendarView_Web_New_Remind20min")</option><option value="25">$trans("CalendarView_Web_New_Remind25min")</option><option value="30">$trans("CalendarView_Web_New_Remind30min")</option><option value="45">$trans("CalendarView_Web_New_Remind45min")</option><option value="60">$trans("CalendarView_Web_New_Remind1hour")</option><option value="120">$trans("CalendarView_Web_New_Remind2hour")</option><option value="180">$trans("CalendarView_Web_New_Remind3hour")</option><option value="720">$trans("CalendarView_Web_New_Remind12hour")</option><option value="1440">$trans("CalendarView_Web_New_Remind1day")</option><option value="2880">$trans("CalendarView_Web_New_Remind2day")</option><option value="10080">$trans("CalendarView_Web_New_Remind1week")</option></select><a name="del_alert" rel="addFlag">$trans("CalendarView_Web_New_Delete")</a></li>';
var inCheckbox='<div class="select"><span class=""></span><input type="checkbox" /></div>';
var delFlag = false;
var editFlag = false;
var normal = true;
var selectobj = {}

var weekDayNames = ['$trans("CalendarView_Web_Sun")','$trans("CalendarView_Web_Mon")','$trans("CalendarView_Web_Tue")','$trans("CalendarView_Web_Wed")','$trans("CalendarView_Web_Thu")','$trans("CalendarView_Web_Fri")','$trans("CalendarView_Web_Sat")'];

var Num = ['$trans("CalendarView_First")','$trans("CalendarView_Second")','$trans("CalendarView_Third")','$trans("CalendarView_Fourth")','$trans("CalendarView_Fifth")']
var MonthNames = ['$trans("CalendarView_Jan")','$trans("CalendarView_Feb")','$trans("CalendarView_Mar")','$trans("CalendarView_Apr")','$trans("CalendarView_May")','$trans("CalendarView_Jun")','$trans("CalendarView_Jul")','$trans("CalendarView_Aug")','$trans("CalendarView_Sep")','$trans("CalendarView_Oct")','$trans("CalendarView_Nov")','$trans("CalendarView_Dec")']
var lastWeek = false;
var hasTipFlag = false; 

var moreminute=0
var morehour = 1
var moreday = 0
var moremonth = 0
var moreyear = 0
var EndHour
var EndMinute
var direction = 'normal'

var zNodes = []	
var CalendarDatas = []

	if (isconnectFlag){account.unshift("$trans('CalView_AllEvent')")}
	for(i=0;i<account.length;i++){
		accountName = account[i]
		if (accountName=="My calendar"){showname='$trans("My calendar")'}
		else{showname = accountName}
		var subnode = { name:showname,
						open: false,
						pid:i,
						children:[	{ name:"$trans('CalendarView_Web_monthview')",viewName:'month-view', id:0},
									{ name:"$trans('CalendarView_Web_weekview')",viewName:'week-view',id:1},
									{ name:"$trans('CalendarView_Web_dayview')",viewName:'day-view',id:2 },
									{ name:"$trans('CalendarView_Web_fullview')",viewName:'full-view',id:3}
								]}
		zNodes.push(subnode)
		
		if (i!=0){
			subdata = []
			for (n=0; n<data[accountName].length; n++){
				datas = data[accountName]
                if (datas[n]["Owner"]=="My calendar"){accoutshow='$trans("My calendar")'}
                else{accoutshow=datas[n]["Owner"]}
				subdaydate = {	startTime:datas[n]["StartTime"], 
								endTime:datas[n]["EndTime"],
								title:datas[n]["Subject"], 
								address:datas[n]["Location"], 
								description:datas[n]["Description"],
								Id:datas[n]["CalenderID"],
								alarmType:datas[n]["AlarmType"],
								isAllDay:datas[n]["Day"],
								repeatType:datas[n]["RepeatType"],
								status:datas[n]["SyncStatus"],
								account:accoutshow,
								TimeZone:datas[n]["TimeZone"]
							};
				CalendarDatas[0].push(subdaydate)			
				subdata.push(subdaydate);
			}
			CalendarDatas.push(subdata)
		}
		else{CalendarDatas.push([])}	
		
	}
	
	var CalFullData = []
	for (i=0; i<data.length; i++){
		subdaydate = {	startTime:data[i]["StartTime"], 
						endTime:data[i]["EndTime"],
						title:data[i]["Subject"], 
						address:data[i]["Location"], 
						description:data[i]["Description"],
						Id:data[i]["CalenderID"],
						alarmType:data[i]["AlarmType"],
						isAllDay:data[i]["Day"],
						repeatType:data[i]["RepeatType"],
						status:data[i]["SyncStatus"],
						account:data[i]["Owner"],
						TimeZone:data[i]["TimeZone"]
					};
					
		CalFullData.push(subdaydate);
	}
	function adjustDay(date,moreY,moreM,moreD){
		var temp = date.split('-')
		var dayOfmonth
		if(temp[2][0]=='0')temp[2]=temp[2][1]
		day = parseInt(temp[2])
		if(temp[1][0]=='0')temp[1]=temp[1][1]
		month = parseInt(temp[1])
		year = parseInt(temp[0])
		if(direction == "add")day+=1
		else if(direction == "sub")day-=1
		
		year1 = moreY + year
		month1 = moreM + month
		day1 = moreD + day
		if(month1<=0){
			month1 = 12 + month1
			year1-=1
		}
	    if(day1>0){	
			dayOfmonth = $$.calendar.getMonthDays(year1,month1-1)
			if(day1>dayOfmonth){
				day1-=dayOfmonth
				month1+=1
			}
	    }
	    else{
			month1-=1
			if(month1==0){	
				month1 = 12
				year1-=1
				dayOfmonth = $$.calendar.getMonthDays(year1,month1-1)
				day1+= dayOfmonth
			}else{
				dayOfmonth = $$.calendar.getMonthDays(year1,month1-1)
				day1+= dayOfmonth
			}
	    }
		if(month1>12){
			month1-=12
			year1+=1	
		}
		var temp_month = month1
		var temp_day = day1
		if (month1<10){
			temp_month = '0'+ month1
		}
		if (day1<10){
			temp_day = '0' + day1
		}
		date = year1 + '-' + temp_month + '-' + temp_day
		return date;
	}

	//计算开始日期与结束日期的差距
	function lenOfdate(datestart,dateend){
		var tempend = dateend.split('-')
		var tempstart = datestart.split('-')
		
		endyear = parseInt(tempend[0])
		if(tempend[1][0]=='0')tempend[1]=tempend[1][1]
		endmonth = parseInt(tempend[1])
		if(tempend[2][0]=='0')tempend[2]=tempend[2][1]
		endday = parseInt(tempend[2])
		startyear = parseInt(tempstart[0])
		if(tempstart[1][0]=='0')tempstart[1]=tempstart[1][1]
		startmonth = parseInt(tempstart[1])
		if(tempstart[2][0]=='0')tempstart[2]=tempstart[2][1]
		startday = parseInt(tempstart[2])
		endminute = parseInt($$("#newendminute").val())
		startminute = parseInt($$("#newstartminute").val())
		endhour = parseInt($$("#newendhour").val())
		starthour = parseInt($$("#newstarthour").val())
		if((endyear<startyear)||((endyear==startyear)&&(endmonth<startmonth))||((endyear==startyear)&&(endmonth==startmonth)&&(endday<startday)))
			return false;
		else{
			moreyear = endyear - startyear
			moremonth = endmonth - startmonth
			moreday = endday - startday
		}
	}

	//计算开始时间与结束时间的差距
	function lenOftime(starthour,startminute,endhour,endminute){
		moreminute = endminute - startminute
		morehour = endhour - starthour
		if (moreminute<0)
			morehour-=1
		if(morehour<0)
			direction = 'sub'
	}

	function adjustFormat(date){
		var temp = date.split('-')
		var temp_month = temp[1]
		var temp_day = temp[2]
		if(temp[2][0]!='0'){
			if(temp[2]<10)
				temp_day = '0'+temp[2]
		}
		if(temp[1][0]!='0'){
			if(temp[1]<10)
				temp_month = '0'+temp[1]
		}
		date = temp[0]+'-'+temp_month+'-'+temp_day
		return date	
	}

	//动态修改频率项目				 
	function setFrequency(week,day,month,num){	
		$$("option#everyweek").text("$trans('CalendarView_Web_New_EveryWeek')" + "(" + weekDayNames[week] + ")")
		$$("option#everymonth2").text("$trans('CalendarView_Web_New_EveryMonth2')" + "(" + "$(trans('CalendarView_Temp'))" + " " + day + "$trans('CalendarView_Web_New_Day')" + ")")
		$$("option#everyyear").text("$trans('CalendarView_Web_New_EveryYear')" + "(" + MonthNames[month] + " " + day + "$trans('CalendarView_Web_New_Day')" + ")")
		if(lastWeek==true){
			$$("option#everymonth1").text("$trans('CalendarView_Web_New_EveryMonth1')" + "(" + Num[4] +  " " + weekDayNames[week] +")")
		}
		else{
			$$("option#everymonth1").text("$trans('CalendarView_Web_New_EveryMonth1')" + "(" + Num[num-1] +  " " + weekDayNames[week] +")")	
		}
	}
	
	function buttonSet(){	
		if (refreshStatus == "Start"){					
			$$("#refresh").removeClass().addClass('refreshing');
		}else{
			$$("#refresh").removeClass('refreshing');	
		}

		//初始状态禁用'删除'按钮
		if(!isconnectFlag){
			$$('a.btn_gray').addClass('disabled')
			$$('#refresh').addClass('disabled')
		}else{
			$$('a[name="deleteEvent"]').addClass('disabled')
			$$('a[name="editEvent"]').addClass('disabled')
		}
		
		$$('.selectAll a').hover(function(){
			if (hasTipFlag)return false;	
			if(!$$(this).hasClass('selected')){
				$$(this).removeClass().addClass('hover')
			}},function(){
				if(!$$(this).hasClass('selected')){
					$$(this).removeClass('hover')
				}
			})
				
		$$('span.operaterefresh a').hover(function(){
			if (isconnectFlag == 0 || hasTipFlag) return false;
			$$(this).addClass('hover').siblings().removeClass('hover');	
		}, function(){
			$$(this).removeClass('hover');
		}).mousedown(function(){
			if (isconnectFlag == 0 || hasTipFlag) return false;
			$$(this).removeClass('hover').addClass('down');
		}).mouseup(function(){
			if (isconnectFlag == 0 || hasTipFlag) return false;
			$$(this).removeClass('down');
		})	

		$$('a').hover(function() {
			if((($$(this).attr('rel')== "addFlag") && (!isconnectFlag)) || (($$(this).attr('rel') == "needFlag") && !delFlag) || (($$(this).attr('rel') == "needFlag") && !editFlag) || hasTipFlag) return false;
			$$(this).addClass('hover').siblings().removeClass('hover');	
		}, function(){
			$$(this).removeClass('hover');
		}).mousedown(function(){
			if((($$(this).attr('rel')== "addFlag") && (!isconnectFlag)) || (($$(this).attr('rel') == "needFlag") && !delFlag)|| (($$(this).attr('rel') == "needFlag") && !editFlag) || hasTipFlag)  return false;
			$$(this).removeClass('hover').addClass('down');
		}).mouseup(function(){
			if((($$(this).attr('rel')== "addFlag") && (!isconnectFlag)) || (($$(this).attr('rel') == "needFlag") && !delFlag)|| (($$(this).attr('rel') == "needFlag") && !editFlag) || hasTipFlag)  return false;
			$$(this).removeClass('down');
		})	
		
		//点击全选框动作
		$$('.selectAll a').click(function(){
			if (hasTipFlag)return false;
			$$('div.calendar-view:visible .select').remove();
			if($$(this).hasClass('selected')){
				$$(this).siblings(':checkbox')[0].checked = false;
				$$(this).removeClass('selected');
				$$('div.calendar-view:visible .select span').remove()
				$$('div.calendar-view:visible .select input,div.calendar-view:visible input').each(function(){
					$$(this)[0].checked = false;								 
				})	
			}else{
				$$(this).siblings(':checkbox')[0].checked = true;
				$$(this).addClass('selected');
				$$('div.calendar-view:visible .newcheckbox').find('div.calendar_event').after(inCheckbox);
				$$('div.calendar-view:visible .select span').addClass('selected111')
				$$('div.calendar-view:visible .select input,div.calendar-view:visible input').each(function(){
					$$(this)[0].checked = true;								 
				})
			}
			var selectall = $$("div.calendar-view:visible .select input:checked,div.calendar-view:visible input:checked").length;
			delFlag = selectall > 0 ? true : false
			editFlag = selectall==1? true : false
			if(delFlag){
				$$('a[name="deleteEvent"]').removeClass('disabled')
			}else{
				$$('a[name="deleteEvent"]').addClass('disabled')
			}
			
			if(editFlag){
				$$('a[name="editEvent"]').removeClass('disabled')
			}else{
				$$('a[name="editEvent"]').addClass('disabled')
			}
		})
		if(platform == 'Mac'){
			$$("li.ExportToOutlook").remove()
			$$("li.ImportFromOutlook").remove()
		}
	}
	
	function whichInput(){
		$$("input[name='startDate'],input[name='endDate']").click(function(){
			if ($$(this).attr('name') == "startDate"){selectInput = 'start'}
			else{selectInput = 'end'}	
		})
	}

	
	$$(document).ready(function() {
		buttonSet();
		checkboxclick();
		whichInput()
		var calendar=$$("a#currentDay,input[name='startDate'],input[name='endDate']").calendar({dataSelectEvent:function(){
			var current=$$("div#tab-container li.current a");
			var currentview=$$("div.calendar-view:visible");	  
			var type=currentview.attr("id");
			if(type){
				cc.updateView(current, type, currentTreeView.pid);
				cc.updateTodayTimeView();  //选择日期时更新选择的时间   
			}else{
				//进入新建界面后，通过点击开始或结束日期进行相应设置。默认的开始时间和结束时间在同一天，禁止结束时间早于开始时间。
				var d = new Date();						
				datestart = $$("#newstartDate").val().split('-')
				year0 = datestart[0]
				month0 = datestart[1]
				month_t = month0 - 1
				day0 = datestart[2]
				if(selectInput == 'start'){
					newenddate = adjustDay($$("#newstartDate").val(),moreyear,moremonth,moreday)
					$$("#newendDate").val(newenddate)
					var l = dataTranslate($$("#newstartDate").val()).getDay()
					if(l == 0 || l == 6){
						$$('option#everyworkday').hide()	
					}else{
						$$('option#everyworkday').show()
					}					
				}
				else if(selectInput == 'end'){
					if(adjustFormat($$("#newendDate").val()) == adjustFormat($$("#newstartDate").val()))
					{
						if( ((parseInt($$("#newendhour").val())==parseInt($$("#newstarthour").val()))&&(parseInt($$("#newendminute").val())<parseInt($$("#newstartminute").val()))) || (parseInt($$("#newendhour").val())<parseInt($$("#newstarthour").val())) )
						{
						$$("#newendhour").get(0).selectedIndex = $$("#newstarthour").val()	
						$$("#newendminute").get(0).selectedIndex = $$("#newstartminute").val()
						}
					}
					else if(adjustFormat($$("#newendDate").val()) < adjustFormat($$("#newstartDate").val())){
						$$("#newendhour").get(0).selectedIndex = $$("#newstarthour").val()	
						$$("#newendminute").get(0).selectedIndex = $$("#newstartminute").val()
						$$("#newendDate").val($$("#newstartDate").val())
					}
					lenOfdate($$("#newstartDate").val(),$$("#newendDate").val())
					lenOftime($$("#newstarthour").val(),$$("#newstartminute").val(),$$("#newendhour").val(),$$("#newendminute").val())
				}
				newstartdate = adjustFormat($$("#newstartDate").val())
				$$("#newstartDate").val(newstartdate)
				newenddate = adjustFormat($$("#newendDate").val())
				$$("#newendDate").val(newenddate)
				d.setDate(day0)
				d.setMonth(month_t)
				d.setFullYear(year0)
				week2 = d.getDay()					
				day2 = d.getDate()					
				month2 = d.getMonth()
				num2 = whichWeek(year0,month_t,day2)
				setFrequency(week2,day2,month2,num2);
			}
		}});

		if(zNodes.length > 0){window.cc=new ColonCalenader(calendar.setting).init();}
		window.CalendarTree = new zTreePackage().init();
	})
    </script>

    <title>ZTE Calendar</title>
    </head>
    <body style="overflow:hidden" onkeydown="KeyDownFunction()" oncontextmenu="return false" onselectstart="return false">
        
        <div id="msg" style="display:none;">
            <span class="text">
            </span>
        </div>
        
        <!--left panel-->
        <div id="left">
           <ul id="left-panel-tree" class="ztree">
           </ul>
        </div>

        <!--right panel-->
        <div id="right" style="overflow:hidden">
        <div id="container">
            <div id="calendar">
<div id="tab-container">

	<div class="calendar-tab">
		<div id="selectAll" class="selectAll"><a class=""></a><input type="checkbox" /></div>
		<a href="#" name="new" class="btn_gray new" rel="addFlag" id="tabbutton"><span>$trans('CalendarView_Web_New')</span></a>
		<a href="#" name="deleteEvent" class="btn_gray" rel='needFlag' id="tabbutton"><span>$trans('CalendarView_Web_Delete')</span></a>
		<a href="#" name="editEvent" class="btn_gray editEvent" rel='needFlag' id="tabbutton"><span>$trans('CalendarView_Web_Edit')</span></a>
		<a href="#" name="moreOp" class="btn_gray" rel="addFlag" id="tabbutton" ><span>$trans('CalendarView_Web_MoreOperate')<em class="moreBtn"></em></span></a>
		
		<span class="operaterefresh">
                <a id="refresh" rel="addFlag"></a>
        </span>
	</div>	
    <ul class="calendar-tab" style="display:none"> 
        <li class="current">
            <a href="javascript:void(0)" name='month-view' class="month-view">$trans('CalendarView_Web_monthview')</a>
        </li> 
        
        <li >
            <a href="javascript:void(0)" name='week-view' class="week-view">$trans('CalendarView_Web_weekview')</a>
        </li>
        <li >
            <a href="javascript:void(0)" name='day-view'  class="day-view">$trans('CalendarView_Web_dayview')</a>
        </li>             
        <li >
            <a href="javascript:void(0)" class="full-view">$trans('CalendarView_Web_fullview')</a>
        </li>
        </ul>
		$if isconnect:
		<div class="new-iiiicon">		
					<a class="currentDay" id="currentDay">
					</a>
					<a href="javascript:void(0)" class='ops' name='today'>
						$trans('CalendarView_Web_TextToday')
					</a>
					<a href="javascript:void(0)" class='ops' name='previous'>
						<span class="previous">
						</span>
						</a>
					<a href="javascript:void(0)" class='ops' name='next'>
						<span class="next">
						</span>
					</a>					
		 </div>
  </div>
	    
        <div id="month-view" class="calendar-view" style="overflow:auto">
                <table class="calendar-month">
                    <thead>
                    </thead>
                    <tbody>
                    </tbody>
                </table>            
        </div>
        
        <div id="week-view" style="display:none;overflow:auto;"  class="calendar-view">
                                
            <table class="calendar-week calendar-day">
               <thead>
               </thead> 
               <tbody>
               </tbody>
            </table>
            
       </div> 
        <div id="day-view" style="display:none;overflow:auto"  class="calendar-view">
            <table class="calendar-day">
                <caption>
                    <span class="todayDate">
                    </span>
                    </caption>
               <thead>
               	<tr>
               		<th class="allday"></th>
					<th class="time">$trans('CalendarView_Web_StartTime')</th>
					<th class="time">$trans('CalendarView_Web_EndTime')</th>
					<th class="content">$trans('CalendarView_Web_Subject')</th>
					<th class="content">$trans('CalendarView_Web_Location')</th>
					<th class="content">$trans('CalendarView_Web_Description')</th>
					<th class="allday">$trans('CalendarView_Web_AllDay')</th>
					<th class="account">$trans('CalendarView_Web_Account')</th>
					<th class="alarm">$trans('CalendarView_Web_AlarmType')</th>
					<th class="repeat">$trans('CalendarView_Web_RepeatType')</th>
               	</tr>
               </thead> 
               <tbody>
               </tbody>
            </table>
        </div>
        
        
         <div id="full-view" style="display:none;overflow:auto"  class="calendar-view">
            <table class="calendar-day">
               <thead>
                <tr>
                    <th class="allday"></th>
					<th class="time">$trans('CalendarView_Web_StartTime')</th>
					<th class="time">$trans('CalendarView_Web_EndTime')</th>
					<th class="content">$trans('CalendarView_Web_Subject')</th>
					<th class="content">$trans('CalendarView_Web_Location')</th>
					<th class="content">$trans('CalendarView_Web_Description')</th>
					<th class="allday">$trans('CalendarView_Web_AllDay')</th>
					<th class="account">$trans('CalendarView_Web_Account')</th>
					<th class="alarm">$trans('CalendarView_Web_AlarmType')</th>
					<th class="repeat">$trans('CalendarView_Web_RepeatType')</th>
                </tr>
               </thead> 
               <tbody>
               </tbody>
            </table>
        </div>
        <!--event tip -->
        
    <div id="maskWin" style="display:none;">
    	<div id="arrow">
    	</div>
    	<div class="event-detail">    		
			<h2 class="title" id="title"></h2>
			<p id="account"><span></span></p>
			<p id="startTime"><span></span></p>
			<p id="endTime"><span></span></p>
			<p id="address"><span></span></p>
			<p id="description"><span></span></p>
    	</div>
        <div class="maskWin-neweven">
        	<a class="btn_red delete" rel="addFlag">$trans('CalendarView_Web_Delete')</a>
        	<a class="btn_blue edit" rel="addFlag">$trans('CalendarView_Web_Edit')</a>
        	<a class="btn_blue close" rel="addFlag">$trans('CalendarView_Web_Cancel')</a>
        </div>
    </div>
</div><!--calendar panel end--> 

<!--新建或者编辑的表单-->
    <div id="new-event-form" style="display:none;">
       <div id="mask-win-content">  
           <form>
			<ul>
				
       			<li>$trans('CalendarView_Web_Subject')</li>
       			<li><input type="text" name="subject" class="input" id="newsubject"/></li>
       			<li>$trans('CalendarView_Web_Location')</li>
       			<li><input type="text" name="address" class="input" id="newaddress"/></li>
				<li>$trans('CalendarView_Web_Description')</li>
       			<li><input type="text" name="description" class="input" id="newdescription"/></li>
				<li>$trans('CalendarView_Web_StartTime')</li>
       			<li><input type="text" name="startDate" class="input" id="newstartDate" readonly="readonly"/>
					<select name="hour" id="newstarthour">
					$for i in range(0,24):
						<option value=$i>$i</option>
					</select>
					<select name="minute" id="newstartminute">		
						$for i in range(0,60):
							<option>$i</option>
					</select>
					<input type="checkbox" name="allDay" id="AllDay"/> <span>$trans('CalendarView_Web_New_AllDay')</span></li>	
				<li>$trans('CalendarView_Web_EndTime')</li>
       			<li> <input type="text" name="endDate" class="input" id="newendDate" readonly="readonly"/>
					<select name="hour" id="newendhour">
					$for i in range(0,24):
						<option value=$i>$i</option>
					</select>
					<select name="minute" id="newendminute">
						$for i in range(0,60):
							<option>$i</option>
						
					</select></li>	
				<span class='newaccount'>
				<li>$trans('CalendarView_Web_Account')</li>
				<li>
					<select class='input' id="newaccount">
					 $for i in account:
						<option value=$i>$trans(i)</option>
					</select>
				</li></span>
       			<li>$trans('CalendarView_Web_Repetition')</li>
       			<li> <select name="repeatType" class="input" id="frequency">
								<option value="0" id="onlyone">$trans('CalendarView_Web_New_OnlyOne')</option>
								<option value="1" id="everyday">$trans('CalendarView_Web_New_EveryDay')</option>
								<option value="2" id="everyworkday">$trans('CalendarView_Web_New_EveryWorkDay')</option>
								<option value="3" id="everyweek">$trans('CalendarView_Web_New_EveryWeek')</option>
								<option value="4" id="everymonth1">$trans('CalendarView_Web_New_EveryMonth1')</option>
								<option value="5" id="everymonth2">$trans('CalendarView_Web_New_EveryMonth2')</option>
								<option value="6" id="everyyear">$trans('CalendarView_Web_New_EveryYear')</option>
								
                      </select></li>

       			<li>$trans('CalendarView_Web_New_FirstRemindTime')</li>
				<div class= "alert">
       			<li> <select  class="input" name="alarm">
							<option value="1">$trans('CalendarView_Web_New_Remind1min')</option>
                            <option value="5">$trans('CalendarView_Web_New_Remind5min')</option>
                            <option value="10" selected="selected">$trans('CalendarView_Web_New_Remind10min')</option>
                            <option value="15">$trans('CalendarView_Web_New_Remind15min')</option>
                            <option value="20">$trans('CalendarView_Web_New_Remind20min')</option>
							<option value="25">$trans('CalendarView_Web_New_Remind25min')</option>	
                            <option value="30">$trans('CalendarView_Web_New_Remind30min')</option>
                            <option value="45">$trans('CalendarView_Web_New_Remind45min')</option>
                            <option value="60">$trans('CalendarView_Web_New_Remind1hour')</option>
							<option value="120">$trans('CalendarView_Web_New_Remind2hour')</option>
							<option value="180">$trans('CalendarView_Web_New_Remind3hour')</option>
							<option value="720">$trans('CalendarView_Web_New_Remind12hour')</option>
							<option value="1440">$trans('CalendarView_Web_New_Remind1day')</option>
							<option value="2880">$trans('CalendarView_Web_New_Remind2day')</option>
							<option value="10080">$trans('CalendarView_Web_New_Remind1week')</option>
                      </select>
					  <a name="del_alert" rel="addFlag" id="del_alert">$trans('CalendarView_Web_New_Delete')</a>
                </li>	
				</div>
					<a name="add_alert" rel="addFlag" id="add_alert">$trans('CalendarView_Web_New_Add')</a>		
       		</ul>
       </form>
       </div>
       <!--日志-->
       
    <!--maskWin foot button group-->
		<div class="maskWin-buttons">
			<a class="btn_gray cancel" rel="addFlag"><span>$trans('CalendarView_Web_New_Cancel')</span></a>
			<a class="btn_gray save" rel="addFlag"><span>$trans('CalendarView_Web_New_BtnSave')</span></a>	
		</div> 
    </div><!--new Event Form end-->
        
</div>
        </div>
    
    <div id="menu" style="display: none;">
    	<ul>
    		<li><a id="ExportToVcs">$trans('CalendarView_Web_More_ExportToVcs')</a></li>
    		<li class="ExportToOutlook"><a id="ExportToOutlook">$trans('CalendarView_Web_More_ExportToOutlook')</a></li>
    		<li><a id="ImportFromVcs">$trans('CalendarView_Web_More_ImportFromVcs')</a></li>
    		<li class="ImportFromOutlook"><a id="ImportFromOutlook">$trans('CalendarView_Web_More_ImportFromOutlook')</a></li>
    	</ul>
    </div>

    </body>
</html>



